<?php
class report_print_order extends c_report
{
    var $title = 'Формирование наряда для печати';
    var $filter = array();
    var $PDF_master = 'TCPDF';  // короткие отчеты выгружвать через обычный  PDF
    var $no_view_title = 1;
    var $images_to_pdf;
    var $PDF_page_orientation='P';

    function setting() {
        ?><div id="panel_filter">
        <form id="sky-form" class="sky-form"><input type="hidden" name="filter_dir" value="<?echo _CUR_REPORT_DIR?>">
            <fieldset>
                <div class="row">
                </div>
            </fieldset>
            <?$this->panel_buttons();?>
        </form>
        </div>
        <?
    }

    function HTML_report_body($options = array())
    {
        foreach ($this->images_to_pdf as $i=>$file_name) {
            ?>
            <img class="preview_image" src="<?echo _PATH_TO_SITE.'/temp/'.$file_name?>">
            <?
        }
        return 1;
    }
}
?>